package main

import (
	"flag"

	"kumoly.io/lib/ksrv"
	"kumoly.io/tools/gterm"
)

var (
	flagAppName string = "gterm"
	flagAddr    string
	flagShell   string
)

func init() {
	flag.StringVar(&flagAddr, "addr", ":8000", "address to bind")
	flag.StringVar(&flagShell, "shell", "bash", "the shell behind")
}

func main() {
	flag.Parse()

	server := ksrv.New()
	g := gterm.New()

	server.Handle(g).Listen(flagAddr).Serve()
}
